# Uses of Class
org.eclipse.net4j.connector.ConnectorException

Packages that use ConnectorException
Package
Description
org.eclipse.net4j.connector
The Net4j transport layer concepts for dealing with connectors.
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of ConnectorException in org.eclipse.net4j.connector

Methods in org.eclipse.net4j.connector that throw ConnectorException
Modifier and Type
Method
Description
`void`
IConnector.`connect()`
Synchronous connect with infinite timeout value.
`void`
IConnector.`connect(long timeout)`
Synchronous connect.
`void`
IConnector.`connectAsync()`
Asynchronous connect.
`void`
IConnector.`waitForConnection(long timeout)`
Blocks until ``IConnector.isConnected()` == true` or the given timeout expired.

## Uses of ConnectorException in org.eclipse.spi.net4j

Methods in org.eclipse.spi.net4j that throw ConnectorException
Modifier and Type
Method
Description
`void`
Connector.`connect()`
`void`
Connector.`connect(long timeout)`
`void`
Connector.`connectAsync()`
`void`
Connector.`setState(ConnectorState newState)`
`void`
Connector.`waitForConnection(long timeout)`